#
# spec file for package python-crispy-bootstrap5
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-crispy-bootstrap5
Version:        2024.2
Release:        1.3
Summary:        Bootstrap5 template pack for django-crispy-forms
License:        MIT
URL:            https://github.com/django-crispy-forms/crispy-bootstrap5
Source:         https://github.com/django-crispy-forms/crispy-bootstrap5/archive/refs/tags/%{version}.tar.gz#/crispy-bootstrap5-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module Django >= 4.2}
BuildRequires:  %{python_module django-crispy-forms >= 2}
BuildRequires:  %{python_module pytest-django}
BuildRequires:  %{python_module pytest}
# /SECTION
BuildRequires:  fdupes
Requires:       python-Django >= 4.2
Requires:       python-django-crispy-forms >= 2
BuildArch:      noarch
%python_subpackages

%description
Bootstrap5 template pack for django-crispy-forms

%prep
%autosetup -p1 -n crispy-bootstrap5-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
export DJANGO_SETTINGS_MODULE=tests.test_settings
export PYTHONPATH=$PWD
%pytest

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/crispy_bootstrap5
%{python_sitelib}/crispy_bootstrap5-%{version}.dist-info

%changelog
* Wed Jul 17 2024 Markéta Machová <mmachova@suse.com>
- Update to 2024.2
  * Added Django 5.0 and 4.2 support
  * Added Python 3.11 and 3.12 support
  * Dropped Python 3.7 support
  * Dropped Django 3.2, 4.0 and 4.1 support
  * Switched to CalVer versioning
  * Added support for Switches.
  * Used <fieldset> and <legend> to group related inputs.
  * Added modal template.
- Dropped upstreamed patches:
  * cf2.patch
  * help_test_escape.patch
* Fri Mar 22 2024 Max Lin <mlin@suse.com>
- Add %%{?sle15_python_module_pythons}
* Tue Jul 18 2023 Markéta Machová <mmachova@suse.com>
- Initial packaging (v0.7), needed by django-crispy-forms v2
- Upstream is slow in releases: upstream patches cf2.patch and help_test_escape.patch
